#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add DS4KRemoteMirror
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror SourceFile "DS4KRemoteMirrorType.cf"
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror SupportedActions RMStatus PreSwitch
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror MonitorInterval 300
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror ActionTimeout 60
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror OpenTimeout 180
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror NumThreads 1
${VCSHOME}/bin/hatype -modify DS4KRemoteMirror ArgList SMCliHome SplitTakeover Mode LocalStorageName LogicalDrives
${VCSHOME}/bin/haattr -add DS4KRemoteMirror SMCliHome -string "/opt/IBM_DS4000/client/"
${VCSHOME}/bin/haattr -add DS4KRemoteMirror SplitTakeover -integer
${VCSHOME}/bin/haattr -add DS4KRemoteMirror Mode -string
${VCSHOME}/bin/haattr -add DS4KRemoteMirror LocalStorageName -string -vector
${VCSHOME}/bin/haattr -add DS4KRemoteMirror LogicalDrives -string -vector
${VCSHOME}/bin/haattr -add -temp DS4KRemoteMirror VCSResLock -string

if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi
